org.keycloak.authentication

## Interface RequiredActionProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    TermsAndConditions, UpdatePassword, UpdateProfile, UpdateTotp, VerifyEmail

      public interface RequiredActionProvider
      extends Provider

  RequiredAction provider. Required actions are one-time actions that a user must perform before they are logged in.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evaluateTriggers(RequiredActionContext context)` Called every time a uesr authenticates.
    `void` | `processAction(RequiredActionContext context)` Called when a required action has form input you want to process.
    `void` | `requiredActionChallenge(RequiredActionContext context)` If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser.

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### evaluateTriggers

          void evaluateTriggers(RequiredActionContext context)

      Called every time a uesr authenticates. This checks to see if this required action should be triggered. The implementation of this method is responsible for setting the required action on the UserModel. For example, the UpdatePassword required actions checks the password policies to see if the password has expired.
      Parameters:
        `context` -

    - #### requiredActionChallenge

          void requiredActionChallenge(RequiredActionContext context)

      If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser. Return null if no action should be done.
      Parameters:
        `context` -

    - #### processAction

          void processAction(RequiredActionContext context)

      Called when a required action has form input you want to process.
      Parameters:
        `context` -

Copyright © 2016 JBoss by Red Hat. All rights reserved.